#-----------------------------------------------------------------------------
%define		dist		.ok
#-----------------------------------------------------------------------------
Name		:	libmatekbd
Version		:	1.27.0
Release		:	14.4.0.0%{?dist}
Summary		:	A keyboard configuration library
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf-archive
BuildRequires	:	glib-devel
BuildRequires	:	libxklavier
BuildRequires	:	mate-common

Requires	:	glib-devel
#-----------------------------------------------------------------------------
%description
The libmaekbd package contains a MATEE library which manages
keyboard configuration and offers various widgets related to
keyboard configuration.

#-----------------------------------------------------------------------------
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
  

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}*.{la,so*}
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-keyboard-xkb.gschema.xml

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig
glib-compile-schemas %{_datadir}/glib-2.0/schemas >> /var/log/%{name}-yum.log 2>&1

%postun
/usr/sbin/ldconfig
if [ "$1" = 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas >> /var/log/%{name}-yum.log 2>&1
  fi

#-----------------------------------------------------------------------------
%changelog
